aboutsummaryrefslogtreecommitdiffstats
path: root/testing/privoxy/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-26 13:02:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-26 13:02:00 +0000
commitcdd6e1dfa1cd5e59f95a5dbdf978c7c766eacd26 (patch)
tree7e1fbdec72a6b0330215e2abe2d26e053e301553 /testing/privoxy/APKBUILD
parent5265583427de9887f6a8109c2494d17052b9674c (diff)
downloadaports-cdd6e1dfa1cd5e59f95a5dbdf978c7c766eacd26.tar.bz2
aports-cdd6e1dfa1cd5e59f95a5dbdf978c7c766eacd26.tar.xz
testing/privoxy: new aport
A web proxy with advanced filtering capabilities http://www.privoxy.org
Diffstat (limited to 'testing/privoxy/APKBUILD')
-rw-r--r--testing/privoxy/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/privoxy/APKBUILD b/testing/privoxy/APKBUILD
new file mode 100644
index 0000000000..3499e91725
--- /dev/null
+++ b/testing/privoxy/APKBUILD
@@ -0,0 +1,55 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=privoxy
+pkgver=3.0.16
+pkgrel=0
+pkgdesc="A web proxy with advanced filtering capabilities"
+url="http://www.privoxy.org"
+license="GPL"
+pkgusers="privoxy"
+pkggroups="privoxy"
+depends=
+makedepends="autoconf automake pcre-dev zlib-dev coreutils"
+install="privoxy.pre-install"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/ijbswa/$pkgname-$pkgver-stable-src.tar.gz
+ $pkgname.initd
+ $pkgname.logrotate
+ privoxy-3.0.16-gentoo.patch
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver-stable
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i "$srcdir"/privoxy-3.0.16-gentoo.patch || return 1
+ aclocal && autoheader && autoconf
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --localstatedir=/var/ \
+ --enable-zlib \
+ --enable-dynamic-pcre \
+ --with-user=privoxy \
+ --with-group=privoxy \
+ --sysconfdir=/etc/privoxy \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ rm $pkgdir/var/log/privoxy/*
+ install -D -m755 "$srcdir"/privoxy.initd "$pkgdir"/etc/init.d/privoxy
+ install -D -m644 "$srcdir"/privoxy.logrotate \
+ "$pkgdir"/etc/logrotate.d/privoxy
+ find "$pkgdir"/etc/privoxy/ -type d | xargs chmod 770
+ find "$pkgdir"/etc/privoxy/ -type f | xargs chmod 660
+ chown -R privoxy:privoxy "$pkgdir"/var/log/privoxy
+}
+
+md5sums="64d3ffcdf8307e04a375773bb4eb255e privoxy-3.0.16-stable-src.tar.gz
+170d5679e4c3504f07ef1a4c9859e9b8 privoxy.initd
+f2b6a652dbfbc65e5b89024a8ea3da7e privoxy.logrotate
+48cce19ecdcf8f17a021ac3aa8f837bc privoxy-3.0.16-gentoo.patch"